=== debian/changelog ===
brackets (1.14.2-1) unstable; urgency=medium

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- pavroo <pavroo@onet.eu>  Sun, 20 Sep 2020 13:07:19 +0200
