=== debian/control ===
Source: brackets
Section: devel
Priority: optional
Maintainer: pavroo <pavroo@onet.eu>
Build-Depends: debhelper (>= 11)
Standards-Version: 4.1.3
Homepage: <insert the upstream URL, if relevant>
#Vcs-Browser: https://salsa.debian.org/debian/brackets
#Vcs-Git: https://salsa.debian.org/debian/brackets.git

Package: brackets
Architecture: all
Depends: ${misc:Depends}
Description: Brackets
 Brackets is an open-source editor for web design and development
 built on top of web technologies such as HTML, CSS and JavaScript.
 The project was created and is maintained by Adobe, and is released
 under an MIT License.
